require Exporter;

@ISA=qw(Exporter);
@EXPORT=qw(OnIncoming_main);

sub OnIncoming_main
{
  my $str = $jmc->Event;

#  if (is_prompt $str) {

#  }

  # 1 HOUR PASSED
  /^\e\[\d;\d+m .\e\[\d;\d+m$/

}

sub is_prompt
{
  my $str = shift;
  my %prompt = {};
  my $pflag = 0;

  #PROMPT CONDITION
  if ($str =~ /^\e\[\d;\d+m(\d+)H\e\[\d;\d+m\s+\e\[\d;\d+m(\d+)M\e\[\d;\d+m\s+(\d+)\s+:(\d+|-)\s+(\d+)L\s+(\d+)G\s+:([^v()]+)>/ ) {
    $prompt{hit} = $1;
    $prompt{mov} = $2;
    $prompt{exp} = $3;
    $prompt{mem} = $4;
    $prompt{level} = $5;
    $prompt{money} = $6;
    $prompt{exits} = $7;
    $pflag = 1;
    $str =~ s/^\e\[\d;\d+m\d+H\e\[\d;\d+m\s+\e\[\d;\d+m\d+M\e\[\d;\d+m\s+\d+\s+:\d+|-\s+\d+L\s+\d+G\s+:[^v()]+>(.*)/$1/
  }

  #BATTLE PROMPT CONDITION - TANK
  elsif ($str =~ /^\e\[\d;\d+m(\d+)H\e\[\d;\d+m\s+\e\[\d;\d+m(\d+)M\e\[\d;\d+m\s+(\d+)\s+:(\d+|-)\s+\e\[\d;\d+m\[([\xc0-\xff\s]+):([\xc0-\xff\s.]+)\]\e\[\d;\d+m\s+\e\[\d;\d+m\[([\xc0-\xff\s]+):([\xc0-\xff\s.]+)\]\e\[\d;\d+m\s+>/ ) {
    $prompt{hit} = $1;
    $prompt{mov} = $2;
    $prompt{exp} = $3;
    $prompt{mem} = $4;
    $prompt{myname} = $5;
    $prompt{mystate} = $6;
    $prompt{enemname} = $7;
    $prompt{enemstate} = $8;
    $pflag = 2;
    $str =~ s/^\e\[\d;\d+m\d+H\e\[\d;\d+m\s+\e\[\d;\d+m\d+M\e\[\d;\d+m\s+\d+\s+:\d+|-\s+\e\[\d;\d+m\[[\xc0-\xff\s]+:[\xc0-\xff\s.]+\]\e\[\d;\d+m\s+\e\[\d;\d+m\[[\xc0-\xff\s]+:[\xc0-\xff\s.]+\]\e\[\d;\d+m\s+(.*)>/$1/;
  }

  #BATTLE PROMPT CONDITION - ASSIST
  elsif ($str =~ /^\e\[\d;\d+m(\d+)H\e\[\d;\d+m\s+\e\[\d;\d+m(\d+)M\e\[\d;\d+m\s+(\d+)\s+:(\d+|-)\s+\e\[\d;\d+m\[([\xc0-\xff\s]+):([\xc0-\xff\s.]+)\]\e\[\d;\d+m\s+\e\[\d;\d+m\[([\xc0-\xff\s]+):([\xc0-\xff\s.]+)\]\e\[\d;\d+m\s+\e\[\d;\d+m\[([\xc0-\xff\s]+):([\xc0-\xff\s.]+)\]\e\[\d;\d+m\s+>/ ) {
    $prompt{hit} = $1;
    $prompt{mov} = $2;
    $prompt{exp} = $3;
    $prompt{mem} = $4;
    $prompt{myname} = $5;
    $prompt{mystate} = $6;
    $prompt{tankname} = $7;
    $prompt{tankstate} = $8;
    $prompt{enemname} = $9;
    $prompt{enemstate} = $10;
    $pflag = 3;
    $str =~ s/^\e\[\d;\d+m\d+H\e\[\d;\d+m\s+\e\[\d;\d+m\d+M\e\[\d;\d+m\s+\d+\s+:\d+|-\s+\e\[\d;\d+m\[[\xc0-\xff\s]+:[\xc0-\xff\s.]+\]\e\[\d;\d+m\s+\e\[\d;\d+m\[[\xc0-\xff\s]+:[\xc0-\xff\s.]+\]\e\[\d;\d+m\s+\e\[\d;\d+m\[[\xc0-\xff\s]+:[\xc0-\xff\s.]+\]\e\[\d;\d+m\s+>(.*)/$1/;
  }

  return unless $pflag;

  if (wantarray()) {
    return ($str, %prompt);
  }
  elsif (defined wantarray()) {
    return \($str, %prompt);
  }
}