require Exporter;

@ISA=qw(Exporter);
@EXPORT=qw(load_conf);

=item load_conf()

This function load configuration information and return hash of configuration
parameters
=cut

sub load_conf(){
 my %Conf;
 my $file = ".\\settings\\ge.conf";

 open (F, "<$file");
 while (<F>) {
    /^\s*(\w+)\s*=\s*(.*)/;
    $Conf{$1}=$2;
 }
 return %Conf;
}

sub load_mud_conf {

 my $file = shift;

 open (F, "<./settings/$file");
 while (<F>) {
    /^\s*(\w+)\s*=\s*(.*)/;
    $Conf{$1}=$2;
 }
}

1;